org.jbpm.executor

## Class ExecutorServiceFactory

- java.lang.Object
- - org.jbpm.executor.ExecutorServiceFactory

-     public class ExecutorServiceFactory
      extends Object

  Creates singleton instance of `ExecutorService` that shall be used outside of CDI environment.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutorServiceFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearExecutorService()`
    `static org.kie.api.executor.ExecutorService` | `newExecutorService(javax.persistence.EntityManagerFactory emf)`
    `static org.kie.api.executor.ExecutorService` | `newExecutorService(javax.persistence.EntityManagerFactory emf, ExecutorEventSupportImpl eventSupport)`
    `static org.kie.api.executor.ExecutorService` | `newExecutorService(javax.persistence.EntityManagerFactory emf, TransactionalCommandService commandService, ExecutorEventSupportImpl eventSupport)`
    `static void` | `resetExecutorService(org.kie.api.executor.ExecutorService executorService)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutorServiceFactory

          public ExecutorServiceFactory()

  - ### Method Detail

    - #### newExecutorService

          public static org.kie.api.executor.ExecutorService newExecutorService(javax.persistence.EntityManagerFactory emf)

    - #### newExecutorService

          public static org.kie.api.executor.ExecutorService newExecutorService(javax.persistence.EntityManagerFactory emf,
                                                                                ExecutorEventSupportImpl eventSupport)

    - #### newExecutorService

          public static org.kie.api.executor.ExecutorService newExecutorService(javax.persistence.EntityManagerFactory emf,
                                                                                TransactionalCommandService commandService,
                                                                                ExecutorEventSupportImpl eventSupport)

    - #### resetExecutorService

          public static void resetExecutorService(org.kie.api.executor.ExecutorService executorService)

    - #### clearExecutorService

          public static void clearExecutorService()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.